Bug 5295 - Update Eric
: Update Eric
Status: RESOLVED WORKSFORME
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Package Requests
: Fresh
: All Linux
: Normal enhancement
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-28 12:22 MSK by Shalok Shalom
Modified: 2017-08-18 15:12 MSD (History)
1 user (show)

See Also:
RPM Package: eric.rpm
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shalok Shalom 2015-03-28 12:22:17 MSK
Currently used Version is 4.5.7, 6.0.3 is available:

http://sourceforge.net/projects/eric-ide/files/eric6/stable/6.0.3/

Thanks a lot in advance :)
Comment 1 Denis Silakov 2015-03-29 00:06:38 MSK
Done. Eric has been updated to version 6.0.3.
Comment 2 Shalok Shalom 2015-03-29 16:22:55 MSD
Fine, fine, thanks :D
Comment 3 Shalok Shalom 2015-03-30 17:54:57 MSD
My Desktop Starter wont work now (from K Menu), when i start eric from KRunner:

KDEInit can „eric4“ not start:
Could not find 'eric4' executable.

I am able to start eric with eric6 now, so i guess this get adjusted in the .desktop file ?

---

When i start the webbrowser, appear this message: 

libpng warning: iCCP: known incorrect sRGB profile
Comment 4 Denis Silakov 2015-03-30 18:22:45 MSD
That's right, forgot to update the desktop file. Updated package has been recently pushed to repositories.

libpng warning is not crucial and can be safely ignored.
Comment 5 Shalok Shalom 2015-06-26 14:57:12 MSD
I cant launch eric now, not from desktop starter and not from cl (command not found)

6.0.6 is out
Comment 6 Denis Silakov 2015-06-30 18:46:56 MSD
6.0.6 will appear in repositories soon.

As for launch failure, a possible reason is that you have python-qt5* packages installed (maybe they were installed as dependencies of other applications). Currently Eric from our repositories can't coexist with python-qt5 packages, so in the new package I have added explicit conflicts with python-qt5*. Don't be afraid if you will be asked to remove some packages when installing a new Eric. This is expected, but hopefully will be fixed in future once we prepare python-qt5-scintilla packages.
Comment 7 Shalok Shalom 2015-07-01 12:53:47 MSD
I try to install 6.0.6 on my fresh installed ROSA X2, only KDEnlive is added before here and urpm want me to uninstall:

python-qt5-core-5.4-1-rosa2014.1.x86_64
 (wegen Konflikten mit eric-6.0.6-1-rosa2014.1.noarch)
python-qt5-gui-5.4-1-rosa2014.1.x86_64
 (wegen nicht erfüllter Abhängigkeit von python-qt5-core == 5.4-1:2014.1 )
python-qt5-widgets-5.4-1-rosa2014.1.x86_64
 (wegen nicht erfüllter Abhängigkeit von python-qt5-core == 5.4-1:2014.1 )
rosa-freeze-ui-0.9-1-rosa2014.1.noarch
 (wegen fehlendem python-qt5-gui,
  wegen fehlendem python-qt5-widgets) (j/N) 


You are sure, that this will not damage other apps ?


P.S: Why hit this update already the enterprise Repos ??
Comment 8 Denis Silakov 2015-07-01 12:58:42 MSD
(In reply to comment #7)
> I try to install 6.0.6 on my fresh installed ROSA X2, only KDEnlive is added
> before here and urpm want me to uninstall:
> 
> python-qt5-core-5.4-1-rosa2014.1.x86_64
>  (wegen Konflikten mit eric-6.0.6-1-rosa2014.1.noarch)
> python-qt5-gui-5.4-1-rosa2014.1.x86_64
>  (wegen nicht erfüllter Abhängigkeit von python-qt5-core == 5.4-1:2014.1 )
> python-qt5-widgets-5.4-1-rosa2014.1.x86_64
>  (wegen nicht erfüllter Abhängigkeit von python-qt5-core == 5.4-1:2014.1 )
> rosa-freeze-ui-0.9-1-rosa2014.1.noarch
>  (wegen fehlendem python-qt5-gui,
>   wegen fehlendem python-qt5-widgets) (j/N) 
> 
> 
> You are sure, that this will not damage other apps ?

Damage? No, it will just remove rosa-freeze-ui for the reason I described above.

> 
> P.S: Why hit this update already the enterprise Repos ??

Eric is in contrib repositories which are absent in Enterprise by default. You can use Fresh contrib in RED, but at your own risk.

Currently you either use eric or rfreeze-ui (and other python-qt5 applications). Not perfect and will be fixed in future, but removal of one app to install another won't damage your system in any way.
Comment 9 Shalok Shalom 2015-07-01 13:08:09 MSD
Ok, thanks a lot.
Comment 10 Shalok Shalom 2015-07-06 11:26:36 MSD
I still cant launch it: 

shalokshalom@N150 ~ $ eric
bash: eric: Kommando nicht gefunden.
shalokshalom@N150 ~ $ eric6
shalokshalom@N150 ~ $ 

First output means command not found.
Desktop starter is there and dont work.
Comment 11 Denis Silakov 2015-07-06 11:43:06 MSD
(In reply to comment #10)
> I still cant launch it: 
> 
> shalokshalom@N150 ~ $ eric
> bash: eric: Kommando nicht gefunden.
> shalokshalom@N150 ~ $ eric6
> shalokshalom@N150 ~ $ 
> 
> First output means command not found.

This is expected, we have never had 'eric' command. In eric 4.x we had 'eric4', in eric 6.x - 'eric6'. 

> Desktop starter is there and dont work.

That's strage, needs to be investigated. For me, eric starts fine from SimpleWelcome.
Comment 12 Shalok Shalom 2015-07-06 12:09:08 MSD
As you can see, start eric6 not as well.
Comment 13 Shalok Shalom 2015-07-06 12:20:40 MSD
Also not from Simple Welcome. What can i do, in order to help, please ?
Comment 14 Denis Silakov 2015-07-06 12:30:08 MSD
Try to launch "eric6 --debug" from console.
Comment 15 Denis Silakov 2015-07-30 19:20:19 MSD
Any news on this topic?

Meanwhile, a separate bug 5995 was created to allow eric to coexist with python-qt5.
Comment 16 Shalok Shalom 2015-07-30 23:37:47 MSD
shalokshalom@N150 ~ $ eric6 --debug
shalokshalom@N150 ~ $
Comment 17 Shalok Shalom 2015-08-02 00:13:54 MSD
Any idea ?
Comment 18 Denis Silakov 2017-08-18 15:12:39 MSD
No more users reported this for modern eric. In particular, recently we have merged update to version 17.07 (will hit rosa2016.1 repos soon) which was checked/tested by our community.